...
 
Commits (4)
qtcreator (4.5.2-1) UNRELEASED; urgency=medium
qtcreator (4.5.2-1) unstable; urgency=medium
[ Simon Quigley ]
* New upstream release.
* New upstream release. (closes: #893207)
* Bump debhelper compat to 11, no changes needed.
* Bump Standards-version to 4.1.3, no changes needed.
* Fix insecure-copyright-format-uri.
......@@ -14,12 +14,13 @@ qtcreator (4.5.2-1) UNRELEASED; urgency=medium
[ Alexander Volkov ]
* Revert "Export LLVM_INSTALL_DIR without harcoding the version." since
this method doesn't work with libclang-3.9-dev and llvm-3.9-dev
build dependencies.
build dependencies. (closes: #889984, #888895)
[ Adam Majer ]
* Enable USE_SYSTEM_BOTAN again.
* Enable USE_SYSTEM_BOTAN again. (botan2.wip.patch, botan2.debian.patch)
* Update Qt minimum version dependency to 5.6.2
-- Simon Quigley <tsimonq2@ubuntu.com> Sat, 10 Mar 2018 22:49:31 -0600
-- Adam Majer <adamm@zombino.com> Sat, 17 Mar 2018 20:12:32 +0100
qtcreator (4.5.0-3) unstable; urgency=medium
......
......@@ -11,24 +11,24 @@ Build-Depends: debhelper (>= 11),
libclang-3.9-dev [amd64 i386],
libicu-dev,
libjs-jquery,
libqt5opengl5-dev (>= 5.6.0~),
libqt5sql5-sqlite (>= 5.6.0~),
libqt5webkit5-dev (>= 5.6.0~),
libqt5x11extras5-dev (>= 5.6.0~),
libqt5opengl5-dev (>= 5.6.2~),
libqt5sql5-sqlite (>= 5.6.2~),
libqt5webkit5-dev (>= 5.6.2~),
libqt5x11extras5-dev (>= 5.6.2~),
llvm-3.9-dev [amd64 i386],
pkg-config,
qbs-dev (>= 1.10~),
qml-module-qtquick-controls (>= 5.6.0~),
qml-module-qtquick2 (>= 5.6.0~),
qtbase5-dev (>= 5.6.0~),
qtbase5-private-dev (>= 5.6.0~),
qtdeclarative5-dev (>= 5.6.0~),
qtdeclarative5-private-dev (>= 5.6.0~),
qtscript5-dev (>= 5.6.0~),
qttools5-dev (>= 5.6.0~),
qttools5-dev-tools (>= 5.6.0~),
qttools5-private-dev (>= 5.6.0~),
qtxmlpatterns5-dev-tools (>= 5.6.0~)
qml-module-qtquick-controls (>= 5.6.2~),
qml-module-qtquick2 (>= 5.6.2~),
qtbase5-dev (>= 5.6.2~),
qtbase5-private-dev (>= 5.6.2~),
qtdeclarative5-dev (>= 5.6.2~),
qtdeclarative5-private-dev (>= 5.6.2~),
qtscript5-dev (>= 5.6.2~),
qttools5-dev (>= 5.6.2~),
qttools5-dev-tools (>= 5.6.2~),
qttools5-private-dev (>= 5.6.2~),
qtxmlpatterns5-dev-tools (>= 5.6.2~)
Standards-Version: 4.1.3
Homepage: https://doc.qt.io/qt-5/topics-app-development.html
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtcreator.git
......